Etiqueta: errores

Migrando de Firefox2 a Firefox3 en Gentoo de 64bits

Un amigo que se instalo recientemente Gentoo me comentó que tení­a muchos problemas para usar el firefox en su sistema de 64 bits (como el mí­o), el problema radica en la falta de plugins de 64 bits, asi que si no quieres sufrir mucho dolor lo mas sano es instalar la versión de 32 bits de Mozilla Firefox con el comando
# emerge mozilla-firefox-bin

Hasta allí­ todo perfecto, pero recuerdo que el problema que me reportó esta vez yo también lo sufrí­ cuando traté de migrar de firefox2 al noví­simo firefox3, luego de hacer el emerge todo se compilaba sin problema, no daba ningún error; pero terminada la instalación si intentabas ejecutar firefox obtenias este mensaje:
(firefox-bin:28841): Pango-WARNING **: No builtin or dynamically
loaded modules were found. Pango will not work correctly.
This probably means there was an error in the creation of:
'/etc/pango/pango.modules'
You should create this file by running pango-querymodules.
(firefox-bin:28841): Pango-WARNING **: pango_shape called with bad font, expect ugly output
(firefox-bin:28841): Pango-WARNING **: pango_font_get_glyph_extents called with bad font, expect ugly output
(firefox-bin:28841): Pango-WARNING **: pango_shape called with bad shape_engine, expect ugly output
(firefox-bin:28841): GLib-GObject-CRITICAL **: g_object_get_qdata: assertion `G_IS_OBJECT (object)' failed
(firefox-bin:28841): Pango-CRITICAL **: pango_font_describe: assertion `font != NULL' failed
/opt/firefox/crashreporter: error while loading shared libraries: libgconf-2.so.4: cannot open shared object file: No such file or directory

Haciendo caso al mensaje ejecutas:
# pango-querymodules
Pero el problema no se soluciona, probé haciendo un emerge a pango y tampoco es la solución. Al final todo indicaba que el problema esta en libgconf que no podí­a ser encontrada, asi que lo tienes que hacer es verificar que esta librerí­a exista en tu directorio /lib32/

Si no existe tienes 2 opciones:
– Copiarla de cualquier sistema linux de 32 bits
– Instalarte un set básico de librerí­as para sistemas de 32 bits que ya vienen precompiladas, esta es por mucho tu mejor opción, para ser feliz solo ejecuta:
# emerge emul-linux-x86-gtklibs
y cuando termine ejecutas:
# ldconfig

Y eso es todo, el mundo fué salvado una vez mas 🙂